// packageB/member/income/income/income.js
var app = getApp();
Page({

  /**
	 * 页面的初始数据
	 */
  data: {
    language: '',
    //提现总金额
    total_income: 0,
    //可提现
    income: 0,
    //插件数据源
    plugs: []
  },

  /**
	 * 生命周期函数--监听页面加载
	 */
  onLoad: function(options) {
    this.getData();
  },

  /**
	 * 生命周期函数--监听页面初次渲染完成
	 */
  onReady: function() {
    let language = wx.getStorageSync('langIndex');
    this.setData({ 'language': language.en});
  },

  /**
	 * 生命周期函数--监听页面显示
	 */
  onShow: function() {

  },

  /**
	 * 生命周期函数--监听页面隐藏
	 */
  onHide: function() {

  },

  /**
	 * 生命周期函数--监听页面卸载
	 */
  onUnload: function() {

  },

  /**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
  onPullDownRefresh: function() {

  },

  /**
	 * 页面上拉触底事件的处理函数
	 */
  onReachBottom: function() {

  },

  /**
	 * 用户点击右上角分享
	 */
  onShareAppMessage: function() {

  },
  //获取数据
  getData() {
    let that = this;
    let urlStr = app.getNetAddresss("finance.earning.earning-count");
    app._getNetWork({
      url: urlStr,
      success: function(resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          that.setData({
            total_income: res.data.total.grand_total,
            income: res.data.total.can_withdraw,
            plugs: res.data.data
          });
        }
      },
      fail: function(res) {
        console.log(res);
      }
    });
  },
  //验证手机身份
  gotoIncome() {
    let urlStr = app.getNetAddresss("member.member.withdrawByMobile");
    app._getNetWork({
      url: urlStr,
      success: (resdata)=> {
        var res = resdata.data;
        if (res.result == 1) {
          if (res.data.is_bind_mobile == 1) {
            wx.navigateTo({
              url: '/packageA/member/withdrawEditmobile/withdrawEditmobile'
            });
          } else {
            wx.navigateTo({
              url: '/packageA/member/withdrawal/withdrawal'
            });
          }
        } else {
          wx.showToast({
            title: res.data.msg,
            icon: 'none',
            duration: 2000
          });
        }
      },
      fail: function(res) {
        console.log(res);
      }
    });
  },
  gopresentationRecord() {
    wx.navigateTo({
      url: '/packageA/member/presentationRecord_v2/presentationRecord_v2?orderType=extension'
    });
  }
});
